Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text
Interface IInformationControlExtension3

All Known Implementing Classes:
  DefaultInformationControl

public interface IInformationControlExtension3

Extension interface for `IInformationControl`. Adds API which allows to get this information control's bounds and introduces the concept of persistent size and location by introducing predicates for whether the information control supports restoring of size and location.

Note: An information control which implements this interface can ignore calls to `IInformationControl.setSizeConstraints(int, int)` or use it as hint for its very first appearance.

Since:
  3.0
See Also:
  `IInformationControl`

Method Summary
`Rectangle` | `computeTrim()` Computes the trim for this control.
`Rectangle` | `getBounds()` Returns a rectangle describing the receiver's size and location relative to its parent (or its display if its parent is null).
`boolean` | `restoresLocation()` Tells whether this control allows to restore the previously used location.
`boolean` | `restoresSize()` Tells whether this control allows to restore the previously used size.

Method Detail

### getBounds

    public Rectangle getBounds()

  Returns a rectangle describing the receiver's size and location relative to its parent (or its display if its parent is null).

  Note: If the receiver is already disposed then this methods must return the last valid location and size.

  Returns:
    the receiver's bounding rectangle

### computeTrim

    public Rectangle computeTrim()

  Computes the trim for this control. x and y denote the upper left corner of the trimming relative to this control's location i.e. this will most likely be negative values. Width and height represent the border sizes.

  Returns:
    the receivers trim

### restoresSize

    public boolean restoresSize()

  Tells whether this control allows to restore the previously used size.

  Note: This is not a static property - it can change during the lifetime of this control.

  Returns:
    `true` if restoring size is supported

### restoresLocation

    public boolean restoresLocation()

  Tells whether this control allows to restore the previously used location.

  Note: This is not a static property - it can change during the lifetime of this control.

  Returns:
    `true` if restoring location is supported

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.